
import '../../../../../food_delivery_client.dart';

class BrowsePage extends StatelessWidget {
  const BrowsePage({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      create: (context) => sl<BrowseBloc>()
        ..add(BrowseEvent.getTopCategories())
        ..add(BrowseEvent.getAllCategories()),
      child: WLayout(child: Scaffold(body: WBrowseBody())),
    );
  }
}
